<?php
/**
 * Callback24 for Prestashop 1.6.x and 1.7.x
 *
 * @author    http://callback24.pl
 * @copyright Copyright (C) October 2019 callback24.pl <kontakt@callback24.io>.All rights reserved.
 * @license   GNU General Public License version 2
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class itdeskcallback extends Module
{
    public function __construct()
    {
        $this->name = 'itdeskcallback';
        $this->tab = 'advertising_marketing';
        $this->version = '1.0.1';
        $this->author = 'itDesk';
        $this->tab = 'other';
        $this->need_instance = 0;
        $this->ps_versions_compliancy = array(
            'min' => '1.6',
            'max' => _PS_VERSION_
        );
        $this->bootstrap = true;
        $this->module_key = '258ff2ad2207782c7f33ead20b125065';
        $this->cart_saved = null;
        parent::__construct();

        $this->displayName = $this->l('Callback24');
        $this->description = $this->l('Callback24 - Acquire more potential customers every day for free!!');

        $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');

        if (!Configuration::get('itdeskcallback')) {
            $this->warning = $this->l('No name provided');
        }
    }

    public function install()
    {
        if (parent::install() == false or ! $this->registerHook('displayHeader')) {
            return false;
        }
        return true;
    }

    public function uninstall()
    {
        $return = parent::uninstall();
        return $return;
    }

    public function hookdisplayHeader($params)
    {
        $this->context->smarty->assign(array(
            'callback' => $this->trimmUrl(Context::getContext()->shop->getBaseURL(true))
        ));
        return $this->display(__file__, 'callback.tpl');
    }

    public function getContent()
    {
        return $this->displayForm();
    }
    
    protected function trimmUrl($url)
    {
        $from=array('http://','https://');
        $to=array('','');
        $url= str_replace($from, $to, $url);
        $url = preg_replace('/^www\./', '', $url);
		if(strpos($url,'/')!==false){
			$url = substr($url,0,strpos($url,'/'));
		}
        return $url;
    }
    
    public function displayForm()
    {

        $helper = new HelperForm();
        // Module, token and currentIndex
        $helper->module = $this;
        $helper->name_controller = $this->name;
        $helper->token = Tools::getAdminTokenLite('AdminModules');
        $helper->currentIndex = AdminController::$currentIndex . '&configure=' . $this->name;
        $helper->title = $this->displayName;
        $helper->show_toolbar = true; // false -> remove toolbar
        $helper->toolbar_scroll = true; // yes - > Toolbar is always visible on the top of the screen.
        $helper->submit_action = 'submit' . $this->name;

        $this->context->smarty->assign(array(
            'domain' => $this->trimmUrl(Context::getContext()->shop->getBaseURL(true)),
            'email' => Configuration::get('PS_SHOP_EMAIL')
        ));
        return $helper->generateForm([]);
    }
}
